Card exchange / Meet log
Cancel a card exchange
PUT
/card-exchanges/:exchangeId/cancelThe requester cancels the exchange, before or after requesting. Canceling an exchange that no longer exists also succeeds.
| Auth | Login required |
|---|
Path parameters
exchangeIdstringrequiredExchange ID.
Notes
If the other person accepted first, returns 409 (errorCode 40205, status ACCEPTING / ACCEPTED). The exchange has been completed, so move on to the completion screen.
Response
| Field | Type | Description |
|---|---|---|
id | string | Exchange ID. |
Request
curl https://api.4s.link/card-exchanges/EXCHANGE_ID/cancel \-X PUT \-H "Authorization: Bearer 4s_at_..."
Example response
{"id": "6f1c2d3e-..."}